Subject: Re: Win95/98 KERNEL32 Pagefaulting
From: [email-masked]

21 Jan 1999 19:10:14 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text/plain
To: [email-masked]

 <[email-masked]> wrote: 
Original Article: http://www.egroups.com/list/gnu-win32/?start=10996
> dj delorie wrote: 
> > > Now, at least, xterm dumps core after pagefaulting.
> > 
> > If it dumps core, you should be able to use gdb to debug it too.
> 
> Yeah... Okay.  It took me a while to get xterm to compile on its 
> own, but I finally did and this is as far as I can get..
>
>     0       0 [main] C:\USR\USERS\JSOROKA\X11\XTERM\XTERM.EXE 1004 handle_exceptions:
> Exception: STATUS_ACCESS_VIOLATION
>     0   38949 [main] XTERM 1004 handle_exceptions: Dumping stack trace to XTERM.

Okay, I didn't just give up here, now.  I grabbed the cygwin source and the 
latest snapshots and tried to compile a cygwin1.dll with debug info.  I 
couldn't figure out how to do this without compiling _everything_.  So I set 
it up as per the FAQ and let it make overnight.  I think its ironic in some 
way that I can't debug my problems with pagefaults because I get a pagefault 
while trying to build the target with debug info, which is exactly what 
happened.  So if someone could send me, at this address, as an attachment,
 a cygwin1.dll with debug info on, that would be really cool.

Joe Soroka.
[email-masked]
(without the dash, of course)
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".